
UPDATE esia_services SET service_parameter=REGEXP_REPLACE(service_parameter,'check_snmp_qnap_health','check_snmp_qnap_temp')
WHERE service_plugin_id IN (SELECT plugin_id FROM esia_plugins where plugin_name = 'GESA_SNMP_QNAP_HEALTH');

UPDATE esia_services SET service_name=REGEXP_REPLACE(service_name,'HEALTH','TEMP')
WHERE service_plugin_id IN (SELECT plugin_id FROM esia_plugins where plugin_name = 'GESA_SNMP_QNAP_HEALTH');

UPDATE esia_services SET service_parameter=REGEXP_REPLACE(service_parameter,'(.*SNMP_COM) (.*)','\1 Vol1 \2')
WHERE service_plugin_id IN (SELECT plugin_id FROM esia_plugins where plugin_name = 'GESA_SNMP_QNAP_STORAGE');

---- Included Qnap
UPDATE esia_service_pattern_included SET included_parameter=REGEXP_REPLACE(included_parameter,'check_snmp_qnap_health','check_snmp_qnap_temp')
WHERE included_plugin_id IN (SELECT plugin_id FROM esia_plugins where plugin_name = 'GESA_SNMP_QNAP_HEALTH');

UPDATE esia_service_pattern_included SET included_name=REGEXP_REPLACE(included_name,'HEALTH','TEMP')
WHERE included_plugin_id IN (SELECT plugin_id FROM esia_plugins where plugin_name = 'GESA_SNMP_QNAP_HEALTH');

UPDATE esia_service_pattern_included SET included_parameter=REGEXP_REPLACE(included_parameter,'(.*SNMP_COM) (.*)','\1 Vol1 \2')
WHERE included_plugin_id IN (SELECT plugin_id FROM esia_plugins where plugin_name = 'GESA_SNMP_QNAP_STORAGE');

---- Plugins Qnap
UPDATE esia_plugins
SET plugin_name='GESA_SNMP_QNAP_TEMP', plugin_default_parameter=REGEXP_REPLACE(plugin_default_parameter,'check_snmp_qnap_health','check_snmp_qnap_temp'), plugin_description='Affiche les températures du systèmes et CPU'
WHERE plugin_name='GESA_SNMP_QNAP_HEALTH';

UPDATE esia_plugins
SET plugin_default_parameter=REGEXP_REPLACE(plugin_default_parameter,'(.*SNMP_COM) (.*)','\1 Vol1 \2'), plugin_description='Affiche l''espace disque utilisé'
WHERE plugin_name='GESA_SNMP_QNAP_STORAGE';

--MISE 0 JOUR REGEX RRD

UPDATE rrd_plugins SET rrd_regex='#cpu:([0-9]*)#' WHERE rrd_name='cpu' AND rrd_plugin_id IN(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_TEMP');
UPDATE rrd_plugins SET rrd_regex='#hdd:([0-9]*)#' WHERE rrd_name='hdd' AND rrd_plugin_id IN(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_TEMP');
UPDATE rrd_plugins SET rrd_regex='#system:([0-9]*)#' WHERE rrd_name='system' AND rrd_plugin_id IN(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_TEMP');
UPDATE rrd_plugins SET rrd_regex='#percent\:([0-9]*)#' WHERE rrd_name='system' AND rrd_plugin_id IN(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_STORAGE');
UPDATE rrd_plugins SET rrd_regex='#percent\:([0-9]*)#' WHERE rrd_name='system' AND rrd_plugin_id IN(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_RAM');


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_STORAGE'),'GAUGE','#used:([0-9]*)#',300,DEFAULT,'used',0,-1,'Bytes','AREA','#58ACFA',NULL,2,'*1000000');
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_STORAGE'),'GAUGE','#size:([0-9]*)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA','#F79F81',NULL,2,'*1000000');

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_RAM'),'GAUGE','#used:([0-9]*)#',300,DEFAULT,'used',0,-1,'Bytes','AREA','#58ACFA',NULL,2,'*1000000');
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_RAM'),'GAUGE','#size:([0-9]*)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA','#F79F81',NULL,2,'*1000000');
