--COMMON
UPDATE esia_plugins SET plugin_manufacturer='Microsoft' WHERE plugin_name LIKE '%PWSH%';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php' WHERE plugin_name LIKE '%_PWSH_WINDOWS_MEM';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php' WHERE plugin_name LIKE '%_PWSH_WINDOWS_TIME';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php' WHERE plugin_name LIKE '%_PWSH_WINDOWS_UPTIME';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_WINDOWS_STORAGE.php' WHERE plugin_name LIKE '%_PWSH_WINDOWS_STORAGE';

--GESA
UPDATE rrd_plugins
SET rrd_regex='#used=([0-9]*)#',rrd_regex_threshold='#\-w\s+([0-9]*).*\-c\s+([0-9]*)#'
WHERE  rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_default_parameter LIKE '%-c check_snmp_storage%')
	AND rrd_regex IN ('#\:\s+([0-9]*)\%used#','#([0-9\.]*)\%used#','#\:\s ([0-9]*)\%used#');

UPDATE rrd_plugins
SET rrd_regex='#totalByte=([0-9]*)#',rrd_calc=NULL
WHERE  rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_default_parameter LIKE '%-c check_snmp_storage%')
	AND rrd_name='Total';

UPDATE rrd_plugins
SET rrd_regex='#usedByte=([0-9]*)#',rrd_calc=NULL,rrd_regex_threshold=NULL
WHERE  rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_default_parameter LIKE '%-c check_snmp_storage%')
	AND rrd_name='Used';

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LINUX_STORAGE'),'GAUGE','#usedByte=([0-9]*)#',300,DEFAULT,'Used',0,-1,'Bytes','AREA','#58ACFA',NULL,2,NULL)
ON CONFLICT DO NOTHING;

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LINUX_STORAGE'),'GAUGE','#totalByte=([0-9]*)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA','#F79F81',NULL,2,NULL)
ON CONFLICT DO NOTHING;

UPDATE rrd_plugins SET rrd_regex='#mem=([0-9]*)#' WHERE  rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_WINDOWS_MEM') AND rrd_name='ram';

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_WINDOWS_MEM'),'GAUGE','#total=([0-9]*)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA','#F79F81',NULL,2,NULL)
ON CONFLICT DO NOTHING;
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_WINDOWS_MEM'),'GAUGE','#used=([0-9]*)#',300,DEFAULT,'Used',0,-1,'Bytes','AREA','#58ACFA',NULL,2,NULL)
ON CONFLICT DO NOTHING;
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_WINDOWS_STORAGE'),'GAUGE','#totalByte=([0-9]*)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA','#F79F81',NULL,2,NULL)
ON CONFLICT DO NOTHING;
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_WINDOWS_STORAGE'),'GAUGE','#usedByte=([0-9]*)#',300,DEFAULT,'Used',0,-1,'Bytes','AREA','#58ACFA',NULL,2,NULL)
ON CONFLICT DO NOTHING;


UPDATE rrd_plugins SET rrd_min = 0 WHERE rrd_min IS NULL AND rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_ICMP_GIGUE_MAC');
UPDATE rrd_plugins SET rrd_min = 0 WHERE rrd_min IS NULL AND rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_PC_WINDOWS_MEM');
UPDATE rrd_plugins SET rrd_min = 0 WHERE rrd_min IS NULL AND rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_PC_WINDOWS_MEM_SWAP');
UPDATE rrd_plugins SET rrd_min = 0 WHERE rrd_min IS NULL AND rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_XCLARITY_LOAD');
UPDATE rrd_plugins SET rrd_min = 0 WHERE rrd_min IS NULL AND rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_XCLARITY_MEM');
UPDATE rrd_plugins SET rrd_min = 0 WHERE rrd_min IS NULL AND rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_WMI_SERVICE');


--By Julien
UPDATE esia_plugins SET
plugin_default_parameter=plugin_default_parameter='-u ' || plugin_default_parameter
WHERE plugin_name IN ('GESA_PWSH_REMOTE','GESA_PWSH_WINDOWS_AD_ACCOUNT','GESA_PWSH_WINDOWS_SWAP') AND plugin_default_parameter NOT LIKE '%-u%';

UPDATE esia_plugins SET
plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php'
WHERE plugin_name IN ('GESA_PWSH_WINDOWS_MEM','GESA_SNMP_SOPHOS_DISK','GESA_SNMP_SOPHOS_LOAD','GESA_SNMP_SOPHOS_MEM','GESA_SNMP_SW_UBIQUITI_ENV','GESA_SNMP_SW_UBIQUITI_LOAD','GESA_SNMP_SW_UBIQUITI_MEM');

UPDATE esia_plugins SET
plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_SNMP_WINDOWS_STORAGE.php'
WHERE plugin_name IN ('GESA_PWSH_WINDOWS_STORAGE');

UPDATE rrd_plugins SET rrd_name = 'ram' WHERE rrd_name ='hdd' AND rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_VMWARE_MEM');
UPDATE rrd_plugins SET rrd_name = 'swap',rrd_graph_color = '#83bc00' WHERE rrd_name ='ramswap' AND rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_WINDOWS_MEM_SWAP');
UPDATE rrd_plugins SET rrd_name = 'swap' WHERE rrd_name ='ramswap' AND rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_PC_WINDOWS_MEM_SWAP');

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_WINDOWS_MEM_SWAP'),'GAUGE','#totalByte=([0-9]*)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA','#F79F81',NULL,2,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_WINDOWS_MEM_SWAP'),'GAUGE','#usedByte=([0-9]*)#',300,DEFAULT,'Used',0,-1,'Bytes','AREA','#58ACFA',NULL,2,NULL);

UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_SNMP_INTERFACE_EASY.php' WHERE plugin_name LIKE 'GESA_PWSH_WINDOWS_INTERFACE';
UPDATE esia_plugins SET plugin_tag = 'DISK,SMARTCTL' WHERE plugin_name = 'GESA_PWSH_WINDOWS_SMARTCTL';

UPDATE esia_plugins SET plugin_priority = 2 WHERE plugin_name = 'GESA_SNMP_FUJITSU_DISKHEALTH';
